package com.ruoyi.interfaces.service;

import java.util.List;
import com.ruoyi.interfaces.domain.MdDataSetApi;

/**
 * api数据集Service接口
 * 
 * @author 朱得糠
 * @date 2025-09-02
 */
public interface IMdDataSetApiService 
{
    /**
     * 查询api数据集
     * 
     * @param id api数据集主键
     * @return api数据集
     */
    public MdDataSetApi selectMdDataSetApiByDcCode(String dcCode);

    /**
     * 查询api数据集列表
     * 
     * @param mdDataSetApi api数据集
     * @return api数据集集合
     */
    public List<MdDataSetApi> selectMdDataSetApiList(MdDataSetApi mdDataSetApi);

    /**
     * 新增api数据集
     * 
     * @param mdDataSetApi api数据集
     * @return 结果
     */
    public int insertMdDataSetApi(MdDataSetApi mdDataSetApi);

    /**
     * 修改api数据集
     * 
     * @param mdDataSetApi api数据集
     * @return 结果
     */
    public int updateMdDataSetApi(MdDataSetApi mdDataSetApi);

    /**
     * 批量删除api数据集
     * 
     * @param ids 需要删除的api数据集主键集合
     * @return 结果
     */
    public int deleteMdDataSetApiByIds(Long[] ids);

    /**
     * 删除api数据集信息
     * 
     * @param id api数据集主键
     * @return 结果
     */
    public int deleteMdDataSetApiByDcCode(String id);
}
